unit XGridFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Grids, XStringGrid;

type
  TXGridForm = class(TForm)
    Grid: TXStringGrid;
    PopupMenu: TPopupMenu;
    CopyToClipboard: TMenuItem;
    SwitchColsRows: TMenuItem;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CopyToClipboardClick(Sender: TObject);
    procedure SwitchColsRowsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  XGridForm: TXGridForm;

implementation

{$R *.DFM}

procedure TXGridForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TXGridForm.CopyToClipboardClick(Sender: TObject);
begin
  Grid.CopyToClipboard;
end;

procedure TXGridForm.SwitchColsRowsClick(Sender: TObject);
begin
  Grid.SwitchColsRows;
end;

end.
